# Review: https://bugzilla.redhat.com/show_bug.cgi?id=514351

Name:		xfce4-stopwatch-plugin
Version:	0.2.0
Release:	2%{?dist}
Summary:	Stopwatch plugin for the Xfce panel

Group:		User Interface/Desktops
License:	BSD
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/0.2/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= 4.0.0, libxfcegui4-devel >= 4.6.0
BuildRequires:	gettext, intltool, libxml2-devel
Requires:	xfce4-panel >= 4.6.0

%description
The xfce-stopwatch-plugin is a panel plugin to keep track of elapsed time. 
There are no ways to configure the plugin at this time, just add it to the 
panel. The time elapsed will be saved when your panel quits and restored next 
time it’s running. If time was ticking, it will not start ticking again 
automatically.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files 
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}*


%changelog
* Sat Aug 01 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.0-2
- Fix Source0 URL
- Fix two typos in spec file

* Tue Jul 28 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.0-1
- Initial Fedora package.
